org.eclipse.ecf.remoteservice.rest.client

## Class AbstractEntityRequestType

- java.lang.Object
- - org.eclipse.ecf.remoteservice.rest.client.AbstractRequestType
  - - org.eclipse.ecf.remoteservice.rest.client.AbstractEntityRequestType

All Implemented Interfaces:
  IRemoteCallableRequestType

Direct Known Subclasses:
  HttpPostRequestType, HttpPutRequestType

    public abstract class AbstractEntityRequestType
    extends AbstractRequestType

### Field Summary

Fields
`static int` `BYTEARRAY_REQUEST_ENTITY`
`static String` `CHARSET_PARAM_NAME`
`static long` `CONTENT_LENGTH_AUTO`
`static String` `CONTENT_LENGTH_PARAM_NAME`
`static String` `CONTENT_TYPE_PARAM_NAME`
`protected String` `defaultCharset`
`protected long` `defaultContentLength`
`protected String` `defaultContentType`
`static int` `FILE_REQUEST_ENTITY`
`static int` `INPUT_STREAM_REQUEST_ENTITY`
`static int` `NO_REQUEST_ENTITY`
`protected int` `requestEntityType`
`static int` `STRING_REQUEST_ENTITY`

### Fields inherited from class org.eclipse.ecf.remoteservice.rest.client.AbstractRequestType

`defaultRequestHeaders`

### Constructor Summary

Constructors
Constructor and Description
`AbstractEntityRequestType()`
`AbstractEntityRequestType(int requestEntityType, Map defaultRequestHeaders)`
`AbstractEntityRequestType(int requestEntityType, String defaultContentType)`
`AbstractEntityRequestType(int requestEntityType, String defaultContentType, long defaultContentLength)`
`AbstractEntityRequestType(int requestEntityType, String defaultContentType, long defaultContentLength, Map defaultRequestHeaders)`
`AbstractEntityRequestType(int requestEntityType, String defaultContentType, long defaultContentLength, String defaultCharset)`
`AbstractEntityRequestType(int requestEntityType, String defaultContentType, long defaultContentLength, String defaultCharset, Map defaultRequestHeaders)`
`AbstractEntityRequestType(int requestEntityType, String defaultContentType, Map defaultRequestHeaders)`
`AbstractEntityRequestType(Map defaultRequestHeaders)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.http.HttpEntity` `generateRequestEntity(String uri, IRemoteCall call, IRemoteCallable callable, IRemoteCallParameter paramDefault, Object paramToSerialize)`
`protected String` `getCharset(IRemoteCall call, IRemoteCallable callable, IRemoteCallParameter paramDefault)`
`protected long` `getContentLength(IRemoteCall call, IRemoteCallable callable, IRemoteCallParameter paramDefault)`
`protected String` `getContentType(IRemoteCall call, IRemoteCallable callable, IRemoteCallParameter paramDefault)`
`boolean` `useRequestEntity()`

### Methods inherited from class org.eclipse.ecf.remoteservice.rest.client.AbstractRequestType

`getDefaultRequestHeaders`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NO_REQUEST_ENTITY

    public static final int NO_REQUEST_ENTITY

See Also:
  Constant Field Values

#### INPUT_STREAM_REQUEST_ENTITY

    public static final int INPUT_STREAM_REQUEST_ENTITY

See Also:
  Constant Field Values

#### STRING_REQUEST_ENTITY

    public static final int STRING_REQUEST_ENTITY

See Also:
  Constant Field Values

#### BYTEARRAY_REQUEST_ENTITY

    public static final int BYTEARRAY_REQUEST_ENTITY

See Also:
  Constant Field Values

#### FILE_REQUEST_ENTITY

    public static final int FILE_REQUEST_ENTITY

See Also:
  Constant Field Values

#### CONTENT_LENGTH_AUTO

    public static final long CONTENT_LENGTH_AUTO

See Also:
  Constant Field Values

#### CHARSET_PARAM_NAME

    public static final String CHARSET_PARAM_NAME

See Also:
  Constant Field Values

#### CONTENT_TYPE_PARAM_NAME

    public static final String CONTENT_TYPE_PARAM_NAME

See Also:
  Constant Field Values

#### CONTENT_LENGTH_PARAM_NAME

    public static final String CONTENT_LENGTH_PARAM_NAME

See Also:
  Constant Field Values

#### requestEntityType

    protected int requestEntityType

#### defaultContentLength

    protected long defaultContentLength

#### defaultContentType

    protected String defaultContentType

#### defaultCharset

    protected String defaultCharset

### Constructor Detail

#### AbstractEntityRequestType

    public AbstractEntityRequestType(int requestEntityType,
                                     String defaultContentType,
                                     long defaultContentLength,
                                     String defaultCharset,
                                     Map defaultRequestHeaders)

#### AbstractEntityRequestType

    public AbstractEntityRequestType(int requestEntityType,
                                     String defaultContentType,
                                     long defaultContentLength,
                                     String defaultCharset)

#### AbstractEntityRequestType

    public AbstractEntityRequestType(int requestEntityType,
                                     String defaultContentType,
                                     long defaultContentLength,
                                     Map defaultRequestHeaders)

#### AbstractEntityRequestType

    public AbstractEntityRequestType(int requestEntityType,
                                     String defaultContentType,
                                     long defaultContentLength)

#### AbstractEntityRequestType

    public AbstractEntityRequestType(int requestEntityType,
                                     String defaultContentType,
                                     Map defaultRequestHeaders)

#### AbstractEntityRequestType

    public AbstractEntityRequestType(int requestEntityType,
                                     String defaultContentType)

#### AbstractEntityRequestType

    public AbstractEntityRequestType(int requestEntityType,
                                     Map defaultRequestHeaders)

#### AbstractEntityRequestType

    public AbstractEntityRequestType(Map defaultRequestHeaders)

#### AbstractEntityRequestType

    public AbstractEntityRequestType()

### Method Detail

#### useRequestEntity

    public boolean useRequestEntity()

#### generateRequestEntity

    public org.apache.http.HttpEntity generateRequestEntity(String uri,
                                                            IRemoteCall call,
                                                            IRemoteCallable callable,
                                                            IRemoteCallParameter paramDefault,
                                                            Object paramToSerialize)
                                                     throws NotSerializableException

Throws:
  `NotSerializableException`

#### getCharset

    protected String getCharset(IRemoteCall call,
                                IRemoteCallable callable,
                                IRemoteCallParameter paramDefault)

#### getContentLength

    protected long getContentLength(IRemoteCall call,
                                    IRemoteCallable callable,
                                    IRemoteCallParameter paramDefault)

#### getContentType

    protected String getContentType(IRemoteCall call,
                                    IRemoteCallable callable,
                                    IRemoteCallParameter paramDefault)